[med-svn] r8849 - trunk/packages/beast-mcmc/trunk/debian

Andreas Tille tille at alioth.debian.org
Thu Dec 8 21:38:46 UTC 2011


Author: tille
Date: 2011-12-08 21:38:46 +0000 (Thu, 08 Dec 2011)
New Revision: 8849

Added:
   trunk/packages/beast-mcmc/trunk/debian/get-orig-source
   trunk/packages/beast-mcmc/trunk/debian/watch
Log:
adapted get-orig-source and watch file


Added: trunk/packages/beast-mcmc/trunk/debian/get-orig-source
===================================================================
--- trunk/packages/beast-mcmc/trunk/debian/get-orig-source	                        (rev 0)
+++ trunk/packages/beast-mcmc/trunk/debian/get-orig-source	2011-12-08 21:38:46 UTC (rev 8849)
@@ -0,0 +1,59 @@
+#!/bin/sh
+# get source for beast-mcmc from SVN because there is no source tarball distribution
+
+set -e
+NAME=`dpkg-parsechangelog | awk '/^Source/ { print $2 }'`
+
+if ! echo $@ | grep -q upstream-version ; then
+    VERSION=`dpkg-parsechangelog | awk '/^Version:/ { print $2 }' | sed 's/\([0-9\.]\+\)-[0-9]\+$/\1/'`
+else
+    VERSION=`echo $@ | sed 's?^.*--upstream-version \([0-9.]\+\) .*beast_release.*?\1?'`
+    if echo "$VERSION" | grep -q "upstream-version" ; then
+        echo "Unable to parse version number"
+        exit
+    fi
+fi
+
+SVNTAG=`echo ${VERSION} | sed 's/\./_/g'`
+rm -f ../beast_release_${SVNTAG}
+RELEASE=beast_release_${SVNTAG}
+TARDIR=${NAME}-${VERSION}
+
+mkdir -p ../tarballs
+cd ../tarballs
+# svn export conserves time stamps of the files, checkout does not
+LC_ALL=C svn export http://${NAME}.googlecode.com/svn/tags/${RELEASE} ${TARDIR}
+
+# remove jars which are provided as binaries but are not directly needed to build FigTree
+for jar in \
+            JRI.jar \
+            commons-math-2.0.jar \
+            figtreepanel.jar \
+            itext-1.4.5.jar \
+            jam.jar \
+            jdom.jar \
+            jebl.jar \
+            junit-4.4.jar \
+            libjri.jnilib \
+        ; do
+    rm -rf ${TARDIR}/lib/$jar
+done
+
+rm -rf ${TARDIR}/release/Mac ${TARDIR}/release/Windows ${TARDIR}/release/Linux/lib/*
+
+# Remove all preprocessed (duplicated!) docs
+rm -rf ${TARDIR}/release/common/doc/*
+# remove preprocessed docs which can be recreated using LaTeX to make sure that we
+# really have the source and to save some disk space in source archive
+for pdf in \
+            'doc/Virus*Tex/Practical_BEAST.pdf' \
+            'doc/Virus*Tex/Practical_BEAST.aux' \
+            doc/Yule.pdf \
+            doc/SerialSampleCoalescent.pdf \
+            doc/StarBEAST/STARBEAST.pdf \
+        ; do
+    rm -rf ${TARDIR}/$pdf
+done
+
+GZIP="--best --no-name" tar -czf "$NAME"_"$VERSION".orig.tar.gz "${TARDIR}"
+rm -rf "${NAME}"


Property changes on: trunk/packages/beast-mcmc/trunk/debian/get-orig-source
___________________________________________________________________
Added: svn:executable
   + *

Added: trunk/packages/beast-mcmc/trunk/debian/watch
===================================================================
--- trunk/packages/beast-mcmc/trunk/debian/watch	                        (rev 0)
+++ trunk/packages/beast-mcmc/trunk/debian/watch	2011-12-08 21:38:46 UTC (rev 8849)
@@ -0,0 +1,8 @@
+version=3
+# opts="dversionmangle=s/\./_/g" \
+opts="uversionmangle=s/_/./g" \
+  http://beast-mcmc.googlecode.com/svn/tags/ beast_release_([_.\d]+)/ \
+   debian debian/get-orig-source
+
+#http://googlecode.debian.net/p/beast-mcmc/BEASTv(.+)\.tgz debian echo
+     # debian/get-orig-source




More information about the debian-med-commit mailing list